## org.eclipse.ocl.cst
Interface StateExpCS

All Superinterfaces:
  CSTNode, EObject, Notifier, OCLExpressionCS, TypeCS

All Known Implementing Classes:
  StateExpCSImpl

    public interface StateExpCS

extends TypeCS

A representation of the model object 'State Exp CS'.

The following features are supported:

- `Sequence Of Names`

See Also:
  `CSTPackage.getStateExpCS()`

Method Summary
`EList<String>` `getSequenceOfNames()` Returns the value of the 'Sequence Of Names' attribute list.

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSequenceOfNames

    EList<String> getSequenceOfNames()

  Returns the value of the 'Sequence Of Names' attribute list. The list contents are of type `String`.

  If the meaning of the 'Sequence Of Names' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sequence Of Names' attribute list.
  See Also:
    `CSTPackage.getStateExpCS_SequenceOfNames()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.